<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Telegraph
 */

?>

<?php global $i; $i++; ?>
<?php $classes = array('ilovewp-post','ilovewp-post-archive','ilovewp-post-'.$i, 'clearfix'); ?>

<li <?php post_class($classes); ?>>

	<article id="post-<?php the_ID(); ?>">
	
		<span class="post-meta-category"><?php the_category(esc_html_x( ', ', 'Used on archive and post pages to separate multiple categories.', 'telegraph' )); ?></span>
		<?php the_title( sprintf( '<h2 class="title-post"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<?php if ( 'post' === get_post_type() ) : ?>
		<p class="post-meta">
			<?php _e('By','telegraph'); ?> <?php echo esc_url( the_author_posts_link() ); ?> <?php _e('on','telegraph'); ?> <span class="posted-on"><time class="entry-date published" datetime="<?php echo get_the_date('c'); ?>"><?php echo get_the_date(); ?></time></span>
			<?php if ( function_exists('the_views') ) { echo '<span class="post-views"><span class="genericon genericon-show"></span> '; the_views(); echo '</span>'; } ?>
		</p><!-- .post-meta -->
		<?php endif; ?>
		<?php if ( has_post_thumbnail() ) : ?>
		<div class="post-cover">
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('telegraph-large-thumbnail'); ?></a>
		</div><!-- .post-cover -->
		<?php endif; ?>
		<div class="post-preview">
			<p class="post-excerpt"><?php echo wp_kses_post(force_balance_tags(get_the_excerpt())); ?></p>
		</div><!-- .post-preview -->
	
	</article><!-- #post-<?php the_ID(); ?> -->

</li><!-- .ilovewp-post .ilovewp-post-archive .clearfix -->